camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tomohisa Igarashi (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (CAMEL-11294) Repair not-working-examples or mark as deprecated
Date Thu, 18 May 2017 01:34:04 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-11294?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Tomohisa Igarashi reassigned CAMEL-11294:
-----------------------------------------

    Assignee: Tomohisa Igarashi

> Repair not-working-examples or mark as deprecated
> -------------------------------------------------
>
>                 Key: CAMEL-11294
>                 URL: https://issues.apache.org/jira/browse/CAMEL-11294
>             Project: Camel
>          Issue Type: Task
>          Components: examples
>            Reporter: Tomohisa Igarashi
>            Assignee: Tomohisa Igarashi
>             Fix For: 2.20.0
>
>
> http://camel.465427.n5.nabble.com/VOTE-Release-Apache-Camel-2-19-0-Attempt-2-tt5798533.html#a5798566
> I run many of camel examples and found some are not working by just following readme
instructions, Let's repair it, enrich instructions or mark it as deprecated.
> * cassandra-kubernetes, hazelcast-kubernates 
> ** image not found - any special steps to let it recognize staging repo? 
> {code}
> 9m	3m	6	{kubelet minikube}	spec.containers{java-exec}	Warning	Failed	Failed to pull image
"camel/camel-cassandra-kubernetes-example:2.19.0": rpc error: code = 2 desc = Error: image
camel/camel-cassandra-kubernetes-example not found 
> {code}
> {code}
> [ERROR] F8: f8-cd-doc-link: Failed to parse URL: scpexe://people.apache.org/www/camel.apache.org/maven//camel-parent/examples/camel-hazelcast-kubernetes-example.
java.net.MalformedURLException: unknown protocol: scpexe 
> {code}
> * cdi-osgi 
> ** camel:run is OK, but there seems to be a incompatible dependency around weld on karaf

> {code}
> 2017-05-02T15:26:26,654 | ERROR | FelixStartLevel  | Felix                          
 |  -  -  | Bundle org.ops4j.pax.cdi.extender [130] EventDispatcher: Error during dispatch.
(java.lang.NoSuchMethodError: org.ops4j.pax.cdi.weld.impl.WeldCdiContainer.doWithClassLoader(Ljava/util/concurrent/Callable;)Ljava/lang/Object;)

> java.lang.NoSuchMethodError: org.ops4j.pax.cdi.weld.impl.WeldCdiContainer.doWithClassLoader(Ljava/util/concurrent/Callable;)Ljava/lang/Object;

>         at org.ops4j.pax.cdi.weld.impl.WeldCdiContainer.doStart(WeldCdiContainer.java:94)
~[?:?] 
> {code}
> * cxf-blueprint 
> ** can't install on karaf 4.1.1 
> {code}
> karaf@root()> feature:install war cxf camel camel-jaxb camel-cxf 
> Error executing command: java.lang.InterruptedException 
> java.lang.IllegalStateException: No inital startlevel yet 
>         at org.apache.felix.framework.FrameworkStartLevelImpl.setStartLevel(FrameworkStartLevelImpl.java:131)

>         at org.apache.karaf.main.Main.setStartLevel(Main.java:605) 
>         at org.apache.karaf.main.Main$KarafLockCallback.lockAquired(Main.java:711) 
>         at org.apache.karaf.main.Main.doMonitor(Main.java:382) 
>         at org.apache.karaf.main.Main.access$100(Main.java:75) 
>         at org.apache.karaf.main.Main$3.run(Main.java:369) 
> {code}
> * cxf-osgi 
> ** should be removed as camel-spring-dm is no longer available 
> * etl 
> ** install fails with missing dependency 
> {code}
> karaf@root()> feature:install camel-example-etl                                  
                                                                                         
                               17:37:11 
> Error executing command: Unable to resolve root: missing requirement [root] osgi.identity;
osgi.identity=camel-example-etl; type=karaf.feature; version="[2.19.0,2.19.0]"; filter:="(&(osgi.identity=camel-example-etl)(type=karaf.feature)(version>=2.19.0)(version<=2.19.0))"
[caused by: Unable to resolve camel-example-etl/2.19.0: missing requirement [camel-example-etl/2.19.0]
osgi.identity; osgi.identity=org.apache.openjpa; type=osgi.bundle; version="[2.4.2,2.4.2]";
resolution:=mandatory [caused by: Unable to resolve org.apache.openjpa/2.4.2: missing requirement
[org.apache.openjpa/2.4.2] osgi.wiring.package; filter:="(&(osgi.wiring.package=org.apache.xbean.asm5)(version>=5.0.0)(!(version>=6.0.0)))"]]

> {code}
> * loadbalancing, route-throttling 
> ** it seems like Spring does load the XML, but camel context is not starting. Stop here

> {code}
> INFO: Loading XML bean definitions from class path resource [META-INF/spring/camel-context-mina1.xml]

> {code}
> * rest-swagger 
> ** failed to run 
> {code}
> java.lang.IllegalStateException: Failed to execute ApplicationRunner 
>         at org.springframework.boot.SpringApplication.callRunner(SpringApplication.java:770)
[spring-boot-1.5.3.RELEASE.jar!/:1.5.3.RELEASE] 
> ... 
> Caused by: org.apache.camel.CamelExecutionException: Exception occurred during execution
on the exchange: Exchange[ID-localhost-localdomain-33075-1494340340660-0-2] 
>         at org.apache.camel.util.ObjectHelper.wrapCamelExecutionException(ObjectHelper.java:1772)
~[camel-core-2.19.0.jar!/:2.19.0] 
> ... 
> Caused by: java.nio.channels.ClosedChannelException: null 
>         at io.undertow.client.http.HttpClientConnection$5.handleEvent(HttpClientConnection.java:189)
~[undertow-core-1.4.13.Final.jar!/:1.4.13.Final] 
> ... 
> {code}
> * splunk 
> ** no progress after "SLF4J: Defaulting to no-operation (NOP) logger implementation"

> * spring-boot-rest-jpa 
> ** tests fail 
> {code}
> Failed tests: 
> org.apache.camel.example.spring.boot.rest.jpa.ApplicationTest.newOrderTest(org.apache.camel.example.spring.boot.rest.jpa.ApplicationTest)

>    Run 1: ApplicationTest.newOrderTest:62 expected:<[200]> but was:<[404]>

>    Run 2: ApplicationTest.newOrderTest:62 expected:<[200]> but was:<[404]>

>    Run 3: ApplicationTest.newOrderTest:62 expected:<[200]> but was:<[404]>

> Tests in error: 
> org.apache.camel.example.spring.boot.rest.jpa.ApplicationTest.booksTest(org.apache.camel.example.spring.boot.rest.jpa.ApplicationTest)

>    Run 1: ApplicationTest.booksTest:73 » HttpMessageNotReadable Could not read JSON
docu... 
>    Run 2: ApplicationTest.booksTest:73 » HttpMessageNotReadable Could not read JSON
docu... 
>    Run 3: ApplicationTest.booksTest:73 » HttpMessageNotReadable Could not read JSON
docu... 
> {code}
> * spring-security 
> ** context path in the readme is not correct, and even correct path in the log returns
404 not found 
> * sql 
> ** camel:run is OK 
> ** on karaf, 4.1.1 bundle successfully starts but no application log 
> * swagger-osgi 
> ** 405 method not allowed 
> * twitter-websocket, twitter-websocket-blueprint 
> ** camel route is working, but localhost:9090 returns empty page 
> * widget-gadget-java, widget-gadget-xml 
> ** no application(order) log 



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message